Updates the unavailability type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "729f23c5-7082-47ae-9ddf-30d3925982ba",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "19b7f9f8-9550-4a49-86fb-cd17f31aff5e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "3a9737a9-fbba-44b9-bb2b-48c5b0d7f237",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "53bd17bd-0a8a-4f33-b017-1b1e88413878",
"db_currency_id": "5542dfc5-4db5-440e-a6ae-60e2ca0a5d6c",
"db_language_id": "9897edd7-227d-452b-bc16-2ece77171cc0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-09-18T05:52:36.9393403+00:00"
},
"modified_dateutc": "2026-09-18T05:52:36.9393403+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.